Bug 498215 - Can't enter text in texmaker after update to Qt 4.5.0
Summary: Can't enter text in texmaker after update to Qt 4.5.0
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: texmaker
Version: 10
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Deji Akingunola
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: Qt451
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-04-29 13:47 UTC by nucleo
Modified: 2009-06-16 01:35 UTC (History)
7 users (show)

Fixed In Version: 4.2.3-3.fc11
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-06-16 01:30:42 UTC


Attachments (Terms of Use)

Description nucleo 2009-04-29 13:47:51 UTC
Description of problem:
Can't enter text because cursor disappears after running Quick Build.


Version-Release number of selected component (if applicable):
texmaker-1.8-1.fc10.i386

How reproducible:

Steps to Reproduce:
1. Open tex file to edit and edit it.
2. Run Quick Build and close Okular (in KDE 4.2.2).
3. Select text with mouse in editor.

  
Actual results:
Cursor disappears and text can't be entered.

Additional info:
If I enter text on keyboard after closing Okular bug not happens.

Comment 1 Deji Akingunola 2009-04-29 13:53:27 UTC
Have noticed this myself on x86_64 rawhide, Qt bug?

Comment 2 nucleo 2009-04-29 14:10:40 UTC
(In reply to comment #1)
Don't know, but with Qt 4.4.3 all was fine.

Comment 3 Rex Dieter 2009-04-29 14:19:49 UTC
I can't reproduce on my f11/rawhide x86_64 box.

edit, quickbuild -> edit seems to work ok here.

Comment 4 Deji Akingunola 2009-04-29 14:29:29 UTC
Another way the bug manifest itself for me on f11/rawhide x86_64;

open a tex file, edit, save (not closing texmaker), try to edit again but the cursor have disappeared.
(FWIW, above happens when running texmaker within the GNOME desktop environment)

Comment 5 Rex Dieter 2009-04-29 14:34:16 UTC
This latter test case isn't reproducible by me either, but I'm currently using/testing qt-4.5.1 builds (woo, maybe fixed?).

Comment 6 Rex Dieter 2009-04-29 14:35:11 UTC
reassinging back to texmaker, added to qt45-update blocker/tracker bug

Comment 7 Rex Dieter 2009-04-29 14:36:26 UTC
If anyone wants to test qt-4.5.1 here, to see if it helps you too, feel free to grab the latest qt build for your release from koji.

Comment 8 nucleo 2009-04-29 14:41:44 UTC
(In reply to comment #7)
> If anyone wants to test qt-4.5.1 here, to see if it helps you too, feel free to
> grab the latest qt build for your release from koji.  

There is no bug with qt-4.5.1-3.fc10.

Comment 9 Deji Akingunola 2009-04-29 14:49:55 UTC
Yeah! qt-4.5.1 fixes it for me too.

Comment 10 Tadej Janež 2009-05-06 08:06:13 UTC
I would also like to note that updating qt to version 4.5.1-3.fc10 fixed the problem for me.

Comment 11 Fedora Update System 2009-05-11 17:49:04 UTC
qt-4.5.1-10.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/qt-4.5.1-10.fc11

Comment 12 Fedora Update System 2009-05-11 17:50:54 UTC
qt-4.5.1-10.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/qt-4.5.1-10.fc10

Comment 13 Fedora Update System 2009-05-12 04:07:22 UTC
qt-4.5.1-10.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update qt'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-4813

Comment 14 Fedora Update System 2009-05-12 04:11:23 UTC
qt-4.5.1-10.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update qt'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-4844

Comment 15 Fedora Update System 2009-05-20 23:53:01 UTC
qt-4.5.1-10.fc11, kdelibs-4.2.3-3.fc11, kdeplasma-addons-4.2.3-2.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update qt kdelibs kdeplasma-addons'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-4813

Comment 16 Fedora Update System 2009-05-21 00:02:39 UTC
qt-4.5.1-10.fc10, kdelibs-4.2.3-3.fc10, kdeplasma-addons-4.2.3-2.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update qt kdelibs kdeplasma-addons'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-4844

Comment 17 Fedora Update System 2009-05-25 21:17:28 UTC
kdelibs-4.2.3-3.fc11, kdeplasma-addons-4.2.3-2.fc11, qt-4.5.1-11.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update kdelibs kdeplasma-addons qt'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-4813

Comment 18 Fedora Update System 2009-05-25 21:20:20 UTC
kdelibs-4.2.3-3.fc10, kdeplasma-addons-4.2.3-2.fc10, qt-4.5.1-11.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update kdelibs kdeplasma-addons qt'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-4844

Comment 19 Sebastian Krämer 2009-05-31 16:20:01 UTC
I experienced the same bug. Upgrading to qt-4.5.1-10.fc10 from testing repo seems to fix the problem for me. Thanks!

Comment 20 Fedora Update System 2009-06-02 14:37:17 UTC
kdelibs-4.2.3-3.fc11, kdeplasma-addons-4.2.3-2.fc11, qt-4.5.1-13.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update kdelibs kdeplasma-addons qt'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-4813

Comment 21 Fedora Update System 2009-06-16 01:30:33 UTC
kdelibs-4.2.3-3.fc10, kdeplasma-addons-4.2.3-2.fc10, qt-4.5.1-13.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 22 Fedora Update System 2009-06-16 01:35:22 UTC
kdelibs-4.2.3-3.fc11, kdeplasma-addons-4.2.3-2.fc11, qt-4.5.1-13.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.